"use strict";

exports.__esModule = true;
exports.default = void 0;

var _helperPluginUtils = require("@babel/helper-plugin-utils");

var _core = require("@babel/core");

var _default = (0, _helperPluginUtils.declare)(function (api) {
  api.assertVersion(7);
  return {
    visitor: {
      Program: function Program(path) {
        var node = path.node;
        var _arr = node.directives;

        for (var _i = 0; _i < _arr.length; _i++) {
          var directive = _arr[_i];
          if (directive.value.value === "use strict") return;
        }

        path.unshiftContainer("directives", _core.types.directive(_core.types.directiveLiteral("use strict")));
      }
    }
  };
});

exports.default = _default;